# KSPGetConvergenceContext

Gets the convergence context set with KSPSetConvergenceTest().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetConvergenceContext(KSP ksp,void **ctx)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

ctx -monitoring context

### Keywords

KSP, get, convergence, test, context

### See Also

KSPDefaultConverged(), KSPSetConvergenceTest()

Level:advanced
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages